Debian Bug report logs - #399254
ITA: libclass-contract-perl -- Design-by-Contract OO in Perl

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Christoph Berg <myon@debian.org>

Date: Sat, 18 Nov 2006 20:48:06 UTC

Owned by: Nacho Barrientos Arias <chipi@criptonita.com>

Severity: normal

Fixed in version libclass-contract-perl/1.14-5

Done: Nacho Barrientos Arias <chipi@criptonita.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#399254; Package wnpp. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: submit@bugs.debian.org
Subject: O: libclass-contract-perl -- Design-by-Contract OO in Perl
Date: Sat, 18 Nov 2006 21:34:59 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of libclass-contract-perl, Paul Baker (w2gi) <pbaker@where2getit.com>,
is apparently not active anymore.  Therefore, I orphan this package now.

If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: libclass-contract-perl
Binary: libclass-contract-perl
Version: 1.14-3
Priority: optional
Section: perl
Maintainer: Paul Baker (w2gi) <pbaker@where2getit.com>
Build-Depends-Indep: debhelper (>= 3.0.18)
Architecture: all
Standards-Version: 3.5.9
Format: 1.0
Directory: pool/main/libc/libclass-contract-perl
Files:
 616d26e7e403103801c3171e1846535d 676 libclass-contract-perl_1.14-3.dsc
 fef5c44e6a76d59e12a3b52edcce9a53 39692 libclass-contract-perl_1.14.orig.tar.gz
 c7aa2ab5a6dc5ea66ac8caf00d0cc896 1668 libclass-contract-perl_1.14-3.diff.gz

Package: libclass-contract-perl
Priority: optional
Section: perl
Installed-Size: 192
Maintainer: Paul Baker (w2gi) <pbaker@where2getit.com>
Architecture: all
Version: 1.14-3
Depends: perl (>= 5.6.0-16)
Filename: pool/main/libc/libclass-contract-perl/libclass-contract-perl_1.14-3_all.deb
Size: 57110
MD5sum: 4369430d3ae7f8fe9c92798af17a2c91
SHA1: ab1f6c0ef9d9edc0ecaec1f8d68db23cd3fec810
SHA256: 0e19fff629e473b4d7ca61a01bb4b179aa4f758409867f5b8b5a5753b5526f6c
Description: Design-by-Contract OO in Perl
 The Class::Contract module implements strong encapsulation, static
 inheritance, and design-by-contract condition checking for
 object-oriented Perl. The module provides a declarative syntax for
 attribute, method, constructor, and destructor definitions at both
 the object and class level. Pre-conditions, post-conditions, and
 class invariants are also fully supported.
Tag: devel::library, langdevel::perl, made-of::lang:perl


Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#399254; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nacho Barrientos Arias <chipi@criptonita.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #8 received at 399254@bugs.debian.org (full text, mbox):

From: Nacho Barrientos Arias <chipi@criptonita.com>
To: 399254@bugs.debian.org
Subject: Adopting
Date: Sun, 7 Jan 2007 15:10:44 +0100
[Message part 1 (text/plain, inline)]
owner 399254 !
retitle 399254 ITA: libclass-contract-perl -- Design-by-Contract OO in Perl
thanks

I'll adopt this package.

-- 
bye,
   - Nacho 
     http://criptonita.com/~nacho
[Message part 2 (application/pgp-signature, inline)]

Owner recorded as Nacho Barrientos Arias <chipi@criptonita.com>. Request was from Nacho Barrientos Arias <chipi@criptonita.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Nacho Barrientos Arias <chipi@criptonita.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Nacho Barrientos Arias <chipi@criptonita.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christoph Berg <myon@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 399254-close@bugs.debian.org (full text, mbox):

From: Nacho Barrientos Arias <chipi@criptonita.com>
To: 399254-close@bugs.debian.org
Subject: Bug#399254: fixed in libclass-contract-perl 1.14-5
Date: Mon, 08 Jan 2007 15:32:04 +0000
Source: libclass-contract-perl
Source-Version: 1.14-5

We believe that the bug you reported is fixed in the latest version of
libclass-contract-perl, which is due to be installed in the Debian FTP archive:

libclass-contract-perl_1.14-5.diff.gz
  to pool/main/libc/libclass-contract-perl/libclass-contract-perl_1.14-5.diff.gz
libclass-contract-perl_1.14-5.dsc
  to pool/main/libc/libclass-contract-perl/libclass-contract-perl_1.14-5.dsc
libclass-contract-perl_1.14-5_all.deb
  to pool/main/libc/libclass-contract-perl/libclass-contract-perl_1.14-5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 399254@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nacho Barrientos Arias <chipi@criptonita.com> (supplier of updated libclass-contract-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  7 Jan 2007 15:12:39 +0100
Source: libclass-contract-perl
Binary: libclass-contract-perl
Architecture: source all
Version: 1.14-5
Distribution: unstable
Urgency: low
Maintainer: Nacho Barrientos Arias <chipi@criptonita.com>
Changed-By: Nacho Barrientos Arias <chipi@criptonita.com>
Description: 
 libclass-contract-perl - Design-by-Contract OO in Perl
Closes: 399254
Changes: 
 libclass-contract-perl (1.14-5) unstable; urgency=low
 .
   * New maintainer (closes: #399254).
   * debian/copyright
   - Added packaging license terms.
   - Fixed source download URL.
   * debian/control
   - Jumped to debhelper compat level 5.
   - Adding perl to Build-Depends-Indep.
   - Adding homepage to long description.
   * debian/rules
   - Rebuilt.
   - Removing useless commented lines.
   - No longer running tests.
   - Removing useless debhelper calls.
   * debian/watch
   - Added.
Files: 
 9cd13ea34d723d2cc8083dc976e829b9 658 perl optional libclass-contract-perl_1.14-5.dsc
 bd8bf6145ed05f27a5661c11a2ec446c 1904 perl optional libclass-contract-perl_1.14-5.diff.gz
 00bb010708baa530d204b4c61bf71bd2 59894 perl optional libclass-contract-perl_1.14-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFol6W2A7zWou1J68RAsJKAJ91WgiM+ZoYqE71hgTQY1hbzVzLPgCgknwG
5Bw7lJcR7Fr4HbbQZN237F4=
=6kTm
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 08:51:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:13:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.